For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve recent calls for an account
      • GETretrieve jaeger trace detail for a call
      • GETretrieve recording for a call
      • GETretrieve pcap for a call
      • GETretrieve pcap for a call
      • GETretrieve recent calls for an account
      • GETretrieve jaeger trace detail for a call
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementRecent Calls

retrieve jaeger trace detail for a call

GET
https://api.jambonz.cloud/v1/ServiceProviders/:ServiceProviderSid/RecentCalls/trace/:CallId
GET
/v1/ServiceProviders/:ServiceProviderSid/RecentCalls/trace/:CallId
$curl https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/RecentCalls/trace/CallId \
> -H "Authorization: Bearer <token>"
1{
2 "traceId": "4bf92f3577b34da6a3ce929d0e0e4736",
3 "spans": [
4 {
5 "spanId": "00f067aa0ba902b7",
6 "operationName": "SIP INVITE",
7 "startTime": "2024-06-12T15:30:45.123Z",
8 "durationMs": 250,
9 "tags": {
10 "component": "SIP Proxy",
11 "span.kind": "server",
12 "http.status_code": 200
13 }
14 },
15 {
16 "spanId": "00f067aa0ba902b8",
17 "operationName": "Media Server Connect",
18 "startTime": "2024-06-12T15:30:45.400Z",
19 "durationMs": 150,
20 "tags": {
21 "component": "Media Server",
22 "span.kind": "client",
23 "media.type": "audio"
24 }
25 }
26 ],
27 "processes": {
28 "p1": {
29 "serviceName": "jambonz-sip-proxy",
30 "tags": {
31 "ip": "192.168.1.10",
32 "version": "1.0.0"
33 }
34 },
35 "p2": {
36 "serviceName": "jambonz-media-server",
37 "tags": {
38 "ip": "192.168.1.11",
39 "version": "1.0.0"
40 }
41 }
42 }
43}
<Error>This endpoint is only availble with an Admin or Service Provider API key</Error>
Was this page helpful?
Previous

retrieve alerts for an account

Next
Built with
This endpoint is only availble with an Admin or Service Provider API key

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ServiceProviderSidstringRequired
CallIdstringRequired

Response

retrieve trace data

Errors

404
Not Found Error